# Testing dependencies: deepdiff, flexmock are missing on EPEL 9. Cannot use testing environment
%if 0%{?el9}
%bcond_with tests
%else
%bcond_without tests
%endif

Name:           packit
Version:        0.101.1
Release:        1%{?dist}
Summary:        A tool for integrating upstream projects with Fedora operating system

License:        MIT
URL:            https://github.com/packit/packit
Source0:        %{pypi_source packitos}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(click-man)
Requires:       python3-packit = %{version}-%{release}

%description
This project provides tooling and automation to integrate upstream open source
projects into Fedora operating system.

%package -n     python3-packit
Summary:        %{summary}
# new-sources
Requires:       fedpkg
Requires:       git
# kinit
Requires:       krb5-workstation
# rpmbuild
Requires:       rpm-build
# bumpspec
Requires:       rpmdevtools
# Copying files between repositories
Requires:       rsync

Recommends:       osh-cli

%description -n python3-packit
Python library for Packit,
check out packit package for the executable.


%prep
%autosetup -n packitos-%{version}


%generate_buildrequires
# The -w flag is required for EPEL 9's older hatchling
%pyproject_buildrequires %{?with_tests:-x testing} %{?el9:-w}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files packit
PYTHONPATH="%{buildroot}%{python3_sitelib}" click-man packit --target %{buildroot}%{_mandir}/man1

install -d -m 755 %{buildroot}%{bash_completions_dir}
cp files/bash-completion/packit %{buildroot}%{bash_completions_dir}/packit


%files
%license LICENSE
%{_bindir}/packit
%{_mandir}/man1/packit*.1*
%{bash_completions_dir}/packit

%files -n python3-packit -f %{pyproject_files}
# Epel9 does not tag the license file in pyproject_files as a license. Manually install it in this case
%if 0%{?el9}
%license LICENSE
%endif
%doc README.md

%changelog
* Wed Sep 18 2024 Packit <hello@packit.dev> - 0.101.1-1
- In the user configuration file, it's possible to set `default_parse_time_macros`, e.g. might be helpful in situations like [packit/packit-service#2514](https://github.com/packit/packit-service/issues/2514). (#2408)
- Packit now allows to configure mock bootstrap feature setup of Copr projects with a new `bootstrap` configuration option. (#2411)
- Resolves: rhbz#2313250

* Fri Sep 06 2024 Packit <hello@packit.dev> - 0.101.0-1
- Packit now supports passing custom arguments to various static analyzers through `--csmock-args` CLI option and `csmock_args` configuration. (#2402)
- When synching a new release Packit is now able to fast forward a specified merge to a configured list of branches.
  Use the `dist_git_branches` new syntax as in this example:
  `{"rawhide": {"fast_forward_merge_into": ["f40"]}, "fedora-stable": {}}` (#2363)
- Resolves: rhbz#2310376

* Sat Aug 24 2024 Packit <hello@packit.dev> - 0.100.3-1
- `dist-git init` command now allows `upstream-git-url` not to be specified. (#2387)
- Resolves: rhbz#2306481

* Thu Aug 15 2024 Packit <hello@packit.dev> - 0.100.2-1
- Update to version 0.100.2
- Resolves: rhbz#2300464

* Thu Aug 01 2024 Packit <hello@packit.dev> - 0.100.1-1
- Dummy release to test the "build in side tags" new feature!
- Resolves: rhbz#2300464

* Mon Jul 29 2024 Packit <hello@packit.dev> - 0.100.0-1
- `packit pull-from-upstream` now allows omitting `upstream_project_url` in the configuration in which case the interaction with the upstream repository is skipped during release syncing. (#2354)
- We have implemented a CLI support for Koji builds against CBS Koji instance. (#2267)

* Fri Jun 21 2024 Packit <hello@packit.dev> - 0.97.3-1
- We have fixed a bug that caused inconsistency between the promised environment variables (from the docs) and the environment that has been actually provided. Now you should have access to `PACKIT_UPSTREAM_REPO` and `PACKIT_DOWNSTREAM_REPO`, if they have been cloned already, in the `post-upstream-clone` action. (#2327)
- Resolves: rhbz#2293661

* Thu Jun 06 2024 Packit <hello@packit.dev> - 0.97.2-1
- We have fixed the syncing of ACLs for `propose-downtream` for CentOS Stream. (#2318)
- Resolves: rhbz#2290733

* Fri May 17 2024 Packit <hello@packit.dev> - 0.97.1-1
- We have fixed the behaviour for `dist-git init` command when `upstream-git-url` argument is specified.
- Resolves: rhbz#2278839

* Wed May 15 2024 Packit <hello@packit.dev> - 0.97.0-1
- Add a `scan-in-osh` subcommand in the CLI to perform a scan through OpenScanHub. By default, it performs a full scan of the packages and a differential scan can be performed through `--base-srpm` option. (#2301)
- When running `dist-git init` command from CLI, you can pass a command to specify a git URL of the project. (#2308)

* Mon Apr 22 2024 Packit <hello@packit.dev> - 0.95.0-1
- `packit dist-git init` now allows specifying `--version-update-mask` option and also any arbitrary top-level configuration options. (#2288)
- We have fixed Packit auto-referencing Upstream Release Monitoring bug for release syncing to CentOS Stream. (#2284)
- Resolves: rhbz#2276194

* Mon Apr 08 2024 Packit <hello@packit.dev> - 0.94.2-1
- Packit previously put the "[packit]" string as a prefix in the subject of pull-from-upstream commits. Now the prefix is no longer there - this is made unnecessary noise in autochangelog. This affects the default. Custom action can still override this behavior. (#2263)
- We have fixed a race condition that could occur when multiple `copr_build` jobs sharing a Copr project but having different targets were running at the same time. (#2274)
- Resolves: rhbz#2273977

* Sun Mar 17 2024 Packit <hello@packit.dev> - 0.94.0-1
- Added new configuration options `status_name_template` and `allowed_builders`.
- Resolves rhbz#2266037

* Mon Feb 26 2024 Packit <hello@packit.dev> - 0.93.0-1
- Packit now checks the version to propose against the version in specfile and doesn't create downgrade PRs. (#2239)

* Sun Jan 28 2024 Packit <hello@packit.dev> - 0.90.0-1
- `pull-from-upstream` and `propose-downstream` commands now have the `--sync-acls` option that enables syncing the ACLs between dits-git repo and fork. The default behaviour was, however, changed to not sync the ACLs. (#2214)
- Packit now properly handles exceptions when syncing ACLs during release syncing. (#2213)

* Fri Jan 19 2024 Packit <hello@packit.dev> - 0.89.0-1
- We have fixed a bug in handling chroot-specific configuration once the chroots themselves are updated. (#2194)

* Thu Nov 30 2023 Packit <hello@packit.dev> - 0.87.1-1
- Packit now links the information related to upstream in PRs opened when syncing a release. (#2173)
- Resolves rhbz#2252328

* Fri Nov 24 2023 Packit <hello@packit.dev> - 0.87.0-1
- Packit now correctly sets the specfile content (e.g. changelog entry) even if it syncs the specfile from upstream the first time. (#2170)
- Packit now supports pre-release version in `propose_downstream` and `pull_from_upstream`. A spec file update might be required, see the documentation for more details. (#2149)
- Resolves rhbz#2251367

* Mon Nov 20 2023 Packit <hello@packit.dev> - 0.86.2-1
- Packit _0.86.1_ was not released on PyPI due to an internal bug, it should be fixed in this release.
- Resolves rhbz#2247071

* Mon Oct 30 2023 Packit <hello@packit.dev> - 0.85.0-1
- Packit no longer downloads sources excluded using spec file conditions. (#2132)

* Mon Oct 16 2023 Packit <hello@packit.dev> - 0.84.0-1
- We have adjusted how we include the resolved bugzillas in the commit messages created when syncing the release downstream so that the resolved bugzillas are included in changelog when using %%autochangelog. (#2126)
- Packit now properly cleans up the branch after syncing the release which should prevent unwanted files (e.g.tarballs) being committed in dist-git. (#2125)
- Packit no longer accepts `packit.json` or `.packit.json` as a configuration file name. (#2123)
- Packit now updates ACL of a dist-git fork when creating dist-git PRs to allow users and groups with commit rights to the original dist-git repo to push directly to a source branch. (#2112)
- We have fixed an issue that prevented you from running the jobs on the GitLab.com due to failing resolution of the upstream/downstream relationship for the cloned project. (#2120)
- We have fixed an issue that you could encounter when running the Packit from the CLI that caused misinterpretation of the repository to be an upstream repo instead of a downstream. (#2117)
- Resolves rhbz#2244381

* Fri Oct 06 2023 Packit <hello@packit.dev> - 0.83.0-1
- We have fixed an issue that prevented automated allowlisting in the Packit Service. (#2113)
- Packit now also detects resolved bugs in the default update notes (created from changelog diff) and assigns these when submitting the Bodhi updates. (#2111)
- Packit now exports `PACKIT_UPSTREAM_PACKAGE_NAME`, `PACKIT_DOWNSTREAM_PACKAGE_NAME` and `PACKIT_CONFIG_PACKAGE_NAME` also in the `changelog_entry` action. (#2103)

* Fri Sep 29 2023 Packit <hello@packit.dev> - 0.82.0-1
- You can now specify bugs resolved by an update by `-b` or `--resolve-bug` option for `propose-downstream` and `pull-from-upstream` commands. The values will be added by default to the changelog and commit message and provided in `commit-message` and `changelog-entry` actions as `PACKIT_RESOLVED_BUGS` env variable. (#2094)
- Resolves rhbz#2240355

* Sat Sep 23 2023 Packit <hello@packit.dev> - 0.81.0-1
- Packit now supports the `pkg_tool` option in the config (at the top-level or with specific packages when using the monorepo syntax). This option can be used for switching between `fedpkg` or `centpkg`. (#2085)
- When updating the `Version` tag during `propose_downstream` or `pull_from_upstream`, Packit now tries to update referenced macros (if any) rather than overwriting the references. (#2087)
- If you have concerns about Packit uploading new archives to lookaside cache before creating a pull request, you can newly set `upload_sources` to False to disable this. (#2086)
- We have fixed a bug that could cause duplicit PRs to be created when using the `commit-message` action. (#2080)
- Packit now supports `commit-message` action that can be used to override the default commit message produced by Packit during `propose-downstream` or `pull-from-upstream`. Please pay attention to our [documentation](https://packit.dev/docs/configuration/actions#commit-message) with regards to the usage of this action. (#2070)

* Fri Sep 08 2023 Packit <hello@packit.dev> - 0.80.0-1
- Packit CLI now provides a new command `pull-from-upstream`, offering the same functionality as `propose-downstream` but suited for usage from the dist-git repository with Packit configuration placed there. This was primarily added to help reproduce the behaviour of the service's [pull_from_upstream job](https://packit.dev/docs/configuration/downstream/pull_from_upstream). (#2063)
- Packit now exposes `PACKIT_PACKAGE_NAME`, `PACKIT_UPSTREAM_PACKAGE_NAME` and `PACKIT_DOWNSTREAM_PACKAGE_NAME` environment variables to all actions. (#2061)
- We have fixed a bug in `packit source-git init` caused by changed behaviour in a newer version of rpmbuild. (#2048)

* Tue Aug 22 2023 Packit <hello@packit.dev> - 0.79.1-1
- We have fixed a bug in getting allowed GPG keys when syncing the release for projects with Packit config
  in monorepo format in dist-git. (#2037)

* Fri Aug 11 2023 Packit <hello@packit.dev> - 0.79.0-1
- 2 new configuration options for filtering when getting latest upstream release tag were introduced: `upstream_tag_include` and `upstream_tag_exclude`. They should contain a Python regex that can be used as an argument in `re.match`. (#2030)

* Mon Aug 07 2023 Packit <hello@packit.dev> - 0.78.2-1
- Packit's license in RPM specfile is now confirmed to be SPDX compatible. (#2026)
- `source-git init --ignore-missing-autosetup` help was improved to be less confusing. (#2016) (#2017)

* Thu Jul 13 2023 Packit <hello@packit.dev> - 0.78.1-1
- Temporarily disabled test dependencies on Fedora Rawhide because of missing `python3-deepdiff`. (#2008)

* Sat Jul 08 2023 Packit <hello@packit.dev> - 0.78.0-1
- Packit now correctly reloads upstream specfile after running `pre-sync` action. (#2006)

* Sat Jun 17 2023 Packit <hello@packit.dev> - 0.77.0-1
- Packit now includes dist-git branch in the title of the PRs for `propose-downstream` and `pull-from-upstream`. (#1996)
- We have fixed an issue with `files_to_sync` filters not being applied properly. (#1977)

* Fri May 26 2023 Packit <hello@packit.dev> - 0.76.0-1
- Unsuccessful Image Builder requests now provide error details so you can fix the Image configuration. (#1981)
- Copr projects created by Packit will not follow the Fedora branching from now on.
  This decision has been made to lower the load on Copr from the temporary Copr projects created, mainly, for the PR builds.
  If you are releasing your packages to Copr, please use the new setting `follow_fedora_branching`.
  Already existing projects are not affected by this change and it is also not enforced with the custom Copr repositories. (#1970)

* Fri Apr 28 2023 Packit <hello@packit.dev> - 0.75.0-1
- Detection of `%%autorelease` usage in dist-git spec file during `propose-downstream` and `pull-from-upstream` has been improved and Packit will always preserve it. (#1949)
- Changed build tool to hatchling and moved metadata to `pyproject.toml`. (PEP621) (#1913)
- Respect `upstream_ref` for tags that start with "a", "b", "c", "e", "n", "r", "s". This was caused by an issue with a `branches` prefix being treated as a set of letters to remove. (#1943)
- Reset `Release` field in dist-git spec file to `1` when the version in upstream spec file is not up-to-date with the release that triggered `propose_downstream`. (#1940)
- Correctly catch the logs, if any of the user actions fail during the propose-downstream. (#1939)
- `packit source-git` related commands can skip dist-git repos, where the git trailer is not found, when looking for the right dist-git dir where to work. (#1938)
- More monorepo related fixes. (#1946, #1947, #1948)

* Sun Apr 16 2023 Packit <hello@packit.dev> - 0.74.0-1
- Allow configuring tmt tests with fmf root outside of git root. (#1936)
- Removed adding the "Signed-off-by" tag to commits created by Packit. (#1934)
- Packit's source_git functionality installs/loads the `_packitpatch` script in a more reliable manner that doesn't rely on deprecated setuptools functionality. (#1926)

* Thu Apr 06 2023 Packit <hello@packit.dev> - 0.73.0-1
- Packit now supports monorepo configuration in CLI (#1864)

* Fri Mar 31 2023 Packit <hello@packit.dev> - 0.72.0-1
- Packit now preserves `autorelease` macro during `propose_downstream` and `pull_from_upstream`. (#1904)

* Sat Mar 25 2023 Packit <hello@packit.dev> - 0.71.0-1
- `upstream_tag_template` is now also used when looking for the latest version tag in Git. This allows upstream repositories to mix different tag-patterns in the same repository, but consider only one to tell the latest version. (#1891)

* Mon Mar 20 2023 Packit <hello@packit.dev> - 0.70.0-1
- Now packit uses the `get_current_version` action defined by the user to retrieve version before updating the specfile %%setup macro (if any). (#1886)

* Sun Mar 05 2023 Packit <hello@packit.dev> - 0.69.0-1
- `packit validate-config` now correctly checks glob-patterns in `files_to_sync`. (#1865)
- Aliases logic was updated to account for the upcoming Fedora release (Bodhi now marks such release as `frozen`). (#1863)
- Command `packit validate-config` now provides details about errors when it cannot parse the config file. (#1861)
- Packit does fewer API calls when searching for the package configuration file in remote repositories. (#1846)
- `--update-release`/`--no-update-release` now affects only `Release`, not `Version`. (#1857)
- Packit now provides `PACKIT_PROJECT_VERSION` environment variable when running `changelog-entry` action. (#1853)

* Mon Feb 20 2023 Packit <hello@packit.dev> - 0.68.0-1
- Packit now requires bodhi in version 7.0.0 at minimum. (#1844)
- You can now use `--srpm` option with the `packit build locally` CLI command. (#1810)

* Fri Feb 03 2023 Packit <hello@packit.dev> - 0.67.0-1
- Packit now sanitizes changelog messages in order not to break spec file parsing. (#1841)

* Fri Jan 20 2023 Packit <hello@packit.dev> - 0.66.0-1
- When configuring Copr chroot (target in Packit terminology) specific configuration, make sure to specify `additional_modules` as a string containing module names separated with a comma, example: "httpd:2.4,python:4". (#1826)
- Target-specific configuration for Copr builds can now be defined and Packit will set it for the appropriate Copr chroots. (#1822)
- You can now specify `update_release: false` in the configuration to tell Packit not to change the `Version` and `Release` in the spec file. It works the same as `--no-update-release` (renamed from now deprecated `--no-bump`) in the CLI. (#1827)
- Packit now supports setting `module_hotfixes` for Copr projects. (#1829)
- All Copr projects created by Packit now default to `enable_net=False`. Our documentation stated this but it wasn't the case. This is now corrected. (#1825)

* Wed Jan 04 2023 Packit <hello@packit.dev> - 0.65.2-1
- No changes. This is a fixup release for sake of Packit deployment.

* Thu Dec 22 2022 Packit <hello@packit.dev> - 0.65.1-1
- Packit now puts the correct release number into the changelog when the `Release` tag is reset during `propose-downstream`. (#1816)

* Fri Dec 09 2022 Packit <hello@packit.dev> - 0.65.0-1
- Packit now correctly handles a race condition when it tries to create bodhi updates for builds that are not yet tagged properly. CLI exprience was also improved for this case. (#1803)
- Packit now resets the `Release` tag during `propose-downstream` if the version is updated and the `Release` tag has not explicitly been overridden in the upstream specfile. (#1801)

* Fri Dec 02 2022 Packit <hello@packit.dev> - 0.64.0-1
- `packit propose-downstream` now uploads all remote sources (those specified as URLs) and the source specified by `spec_source_id` (whether remote or not) to lookaside. Previously, only Source0 was uploaded.
Source0 is no longer treated specially, but as `spec_source_id` is `Source0` by default, Source0 is still being uploaded by default unless `spec_source_id` is overriden. (#1778)

* Sat Nov 12 2022 Packit <hello@packit.dev> - 0.63.1-1
- Packit now correctly finds SRPM when rpmbuild reports warnings when it parses the spec file. (#1772)
- When packit.yaml is present in the repo but is empty, Packit now produces a better error message instead of an internal Python exception. (#1769)

* Fri Nov 04 2022 Packit <hello@packit.dev> - 0.63.0-1
- Fixed an issue due to which the repository was never searched for a specfile if 'specfile_path' was not specified, and 'specfile_path' was always set to '<repo_name>.spec'. (#1758)
- Packit is now able to generate automatic Bodhi update notes including a changelog diff since the latest stable build of a package. (#1747)

* Thu Oct 27 2022 Packit <hello@packit.dev> - 0.62.0-1
- Fixed an issue with version and release being updated even if `--no-bump` flag was specified. Also fixed an issue when `None` appeared in release instead of a number. (#1753)

* Fri Oct 21 2022 Packit <hello@packit.dev> - 0.61.0-1
- Packit can now correctly authenticate with Bodhi 6 and therefore create Bodhi updates. 🚀 (#1746)
- Packit now requires Python 3.9 or later. (#1745)

* Fri Oct 07 2022 Packit <hello@packit.dev> - 0.60.0-1
- Propose downstream job now pushes changes even when it's not creating a new pull request. This allows updating already existing pull requests. (#1725)

* Fri Sep 16 2022 Packit Team <hello@packit.dev> - 0.59.1-1
- New upstream release 0.59.1

* Thu Aug 25 2022 Nikola Forró <nforro@redhat.com> - 0.59.0-1
- New upstream release 0.59.0

* Thu Aug 18 2022 Laura Barcziova <lbarczio@redhat.com> - 0.58.0-1
- New upstream release 0.58.0

* Thu Aug 04 2022 Frantisek Lachman <flachman@redhat.com> - 0.57.0-1
- New upstream release 0.57.0

* Thu Jul 28 2022 Matej Focko <mfocko@redhat.com> - 0.56.0-1
- New upstream release 0.56.0

* Thu Jul 14 2022 František Nečas <fnecas@redhat.com> - 0.55.0-1
- New upstream release 0.55.0

* Wed Jun 29 2022 Tomas Tomecek <ttomecek@redhat.com> - 0.54.0-1
- New upstream release 0.54.0

* Wed Jun 22 2022 Nikola Forró <nforro@redhat.com> - 0.53.0-1
- New upstream release 0.53.0

* Wed Jun 08 2022 Maja Massarini <mmassari@redhat.com> - 0.52.1-1
- New upstream release 0.52.1

* Thu May 26 2022 Laura Barcziova <lbarczio@redhat.com> - 0.52.0-1
- New upstream release 0.52.0

* Thu May 12 2022 Tomas Tomecek <ttomecek@redhat.com> - 0.51.0-1
- New upstream release 0.51.0

* Thu May 05 2022 Matej Focko <mfocko@redhat.com> - 0.50.0-1
- New upstream release 0.50.0

* Tue Apr 12 2022 Jiri Popelka <jpopelka@redhat.com> - 0.49.0-1
- new upstream release 0.49.0

* Wed Mar 30 2022 Maja Massarini <mmassari@redhat.com> - 0.48.0-1
- new upstream release 0.48.0

* Wed Mar 16 2022 Frantisek Lachman <flachman@redhat.com> - 0.47.1-1
- new upstream release 0.47.1

* Tue Mar 8 2022 Jiří Kyjovský <jkyjovsk@redhat.com> - 0.47.0-1
- new upstream release 0.47.0

* Wed Feb 16 2022 Tomas Tomecek <ttomecek@redhat.com> - 0.46.0-1
- new upstream release 0.46.0

* Fri Feb 04 2022 Matej Focko <mfocko@redhat.com> - 0.45.0-1
- new upstream release 0.45.0

* Thu Jan 20 2022 Hunor Csomortáni <csomh@redhat.com> - 0.44.0-1
- new upstream release 0.44.0

* Wed Dec 08 2021 Tomas Tomecek <ttomecek@redhat.com> - 0.43.0-1
- 0.43.0 upstream release

* Wed Nov 24 2021 Laura Barcziova <lbarczio@redhat.com> - 0.42.0-1
- new upstream release 0.42.0

* Thu Nov 11 2021 Hunor Csomortáni <csomh@redhat.com> - 0.41.0-1
- new upstream release 0.41.0

* Tue Oct 26 2021 Frantisek Lachman <flachman@redhat.com> - 0.40.0-1
- new upstream release 0.40.0

* Thu Oct 14 2021 Jiri Kyjovsky <jkyjovsk@redhat.com> - 0.39.0-1
- new upstream release 0.39.0

* Thu Sep 30 2021 Hunor Csomortáni <csomh@redhat.com> - 0.38.0-1
- new upstream release 0.38.0

* Fri Sep 17 2021 Matej Focko <mfocko@redhat.com> - 0.37.0-1
- new upstream release 0.37.0

* Wed Sep 01 2021 Jiri Popelka <jpopelka@redhat.com> - 0.36.0-1
- new upstream release 0.36.0

* Thu Aug 05 2021 Tomas Tomecek <ttomecek@redhat.com> - 0.35.0-1
- new upstream release 0.35.0

* Thu Jul 08 2021 Laura Barcziova <lbarczio@redhat.com> - 0.34.0-1
- new upstream release 0.34.0

* Thu Jun 24 2021 Ben Crocker <bcrocker@redhat.com> - 0.33.1-1
- new upstream release 0.33.1

* Wed Jun 09 2021 Matej Mužila <mmuzila@redhat.com> - 0.32.0-1
- new upstream release 0.32.0

* Thu May 27 2021 Frantisek Lachman <flachman@redhat.com> - 0.31.0-1
- new upstream release 0.31.0

* Fri May 14 2021 Matej Focko <mfocko@redhat.com> - 0.30.1-1
- new upstream release 0.30.1

* Fri May 14 2021 Matej Focko <mfocko@redhat.com> - 0.30.0-1
- new upstream release 0.30.0

* Thu Apr 29 2021 Jiri Popelka <jpopelka@redhat.com> - 0.29.0-1
- new upstream release 0.29.0

* Wed Mar 31 2021 Hunor Csomortáni <csomh@redhat.com> - 0.28.0-1
- new upstream release 0.28.0

* Wed Mar 17 2021 Jiri Popelka <jpopelka@redhat.com> - 0.27.0-1
- new upstream release 0.27.0

* Wed Mar 03 2021 Laura Barcziova <lbarczio@redhat.com> - 0.26.0-1
- new upstream release 0.26.0

* Fri Feb 12 11:11:00 CET 2021 Matej Mužila <mmuzila@redhat.com> - 0.25.0-1
- new upstream release 0.25.0

* Thu Jan 21 10:30:44 CET 2021 Jan Ščotka <jscotka@redhat.com> - 0.24.0-1
- new upstream release 0.24.0

* Thu Jan  7 11:14:24 CET 2021 Frantisek Lachman <flachman@redhat.com> - 0.23.0-1
- new upstream release 0.23.0

* Thu Dec 10 2020 Laura Barcziova <lbarczio@redhat.com> - 0.22.0-1
- new upstream release 0.22.0

* Wed Nov 25 2020 Jiri Popelka <jpopelka@redhat.com> - 0.21.0-1
- new upstream release 0.21.0

* Thu Oct 29 10:42:02 CET 2020 Matej Focko <mfocko@redhat.com> - 0.19.0-1
- new upstream release 0.19.0

* Thu Oct 15 2020 Jiri Popelka <jpopelka@redhat.com> - 0.18.0-1
- new upstream release 0.18.0

* Tue Sep 29 2020 Dominika Hodovska <dhodovsk@redhat.com> - 0.17.0-1
- new upstream release 0.17.0

* Wed Sep 02 2020 Matej Focko <mfocko@redhat.com> - 0.16.0-1
- new upstream release 0.16.0

* Wed Aug 19 2020 Laura Barcziova <lbarczio@redhat.com> - 0.15.0-1
- new upstream release 0.15.0

* Tue Jul 28 2020 Jiri Popelka <jpopelka@redhat.com> - 0.14.0-1
- new upstream release 0.14.0

* Tue Jul 14 2020 Hunor Csomortáni <csomh@redhat.com> - 0.13.1-1
- new upstream release 0.13.1

* Thu Jul 09 2020 Hunor Csomortáni <csomh@redhat.com> - 0.13.0-1
- new upstream release 0.13.0

* Tue Jun 23 2020 Laura Barcziova <lbarczio@redhat.com> - 0.12.0-1
- new upstream release 0.12.0

* Thu Jun 11 2020 Jan Sakalos <sakalosj@gmail.com> - 0.11.1-1
- new upstream release: 0.11.1

* Thu May 28 2020 Tomas Tomecek <ttomecek@redhat.com> - 0.11.0-1
- new upstream release: 0.11.0

* Thu Apr 30 2020 Jan Sakalos <sakalosj@gmail.com> - 0.10.2-1
- new upstream release 0.10.2

* Thu Apr 16 2020 Jiri Popelka <jpopelka@redhat.com> - 0.10.1-1
- new upstream release 0.10.1

* Fri Apr 10 2020 Jiri Popelka <jpopelka@redhat.com> - 0.10.0-1
- new upstream release 0.10.0

* Wed Mar 25 2020 Jiri Popelka <jpopelka@redhat.com> - 0.9.0-1
- new upstream release 0.9.0

* Mon Jan 20 2020 Jiri Popelka <jpopelka@redhat.com> - 0.8.1-1
- new upstream release 0.8.1

* Fri Oct 18 2019 Frantisek Lachman <flachman@redhat.com> - 0.7.1-1
- new upstream release 0.7.1

* Fri Oct 04 2019 Frantisek Lachman <flachman@redhat.com> - 0.7.0-1
- new upstream release 0.7.0

* Thu Sep 12 2019 Jiri Popelka <jpopelka@redhat.com> - 0.6.1-1
- new upstream release: 0.6.1

* Tue Sep 10 2019 Tomas Tomecek <ttomecek@redhat.com> - 0.6.0-1
- new upstream release: 0.6.0

* Fri Aug 23 2019 Tomas Tomecek <ttomecek@redhat.com> - 0.5.1-1
- new upstream release: 0.5.1

* Fri Aug 02 2019 Tomas Tomecek <ttomecek@redhat.com> - 0.5.0-1
- new upstream release: 0.5.0

* Fri Jun 28 2019 Jiri Popelka <jpopelka@redhat.com> - 0.4.2-1
- New upstream release

* Sat May 18 2019 Jiri Popelka <jpopelka@redhat.com> - 0.4.1-1
- Patch release

* Wed May 15 2019 Jiri Popelka <jpopelka@redhat.com> - 0.4.0-1
- New upstream release: 0.4.0
- Build man pages since F30

* Thu Apr 11 2019 Jiri Popelka <jpopelka@redhat.com> - 0.3.0-2
- click-man needs more BuildRequires

* Wed Apr 10 2019 Tomas Tomecek <ttomecek@redhat.com> - 0.3.0-1
- New upstream release: 0.3.0

* Fri Mar 29 2019 Jiri Popelka <jpopelka@redhat.com> - 0.2.0-2
- man pages

* Tue Mar 19 2019 Tomas Tomecek <ttomecek@redhat.com> - 0.2.0-1
- New upstream release 0.2.0

* Thu Mar 14 2019 Frantisek Lachman <flachman@redhat.com> - 0.1.0-1
- New upstream release 0.1.0

* Mon Mar 04 2019 Frantisek Lachman <flachman@redhat.com> - 0.0.1-1
- Initial package.
